%global momorel 3

Summary: gnome-keyring-sharp
Name: gnome-keyring-sharp
Version: 1.0.0
Release: %{momorel}m%{?dist}
License: MIT
Group: System Environment/Libraries
Source0: http://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-lib64.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.mono-project.com/Main_Page

BuildRequires: pkgconfig
BuildRequires: mono-devel
BuildRequires: ndesk-dbus-devel

%description
%{name}

%package devel
Summary: %{name} devel
Group: Development/Libraries
Requires: %{name} >= %{version}

%description devel
%{name}-devel

%prep
%setup -q
%patch0 -p1 -b .lib64

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# delete debug info
find %{buildroot} -name "*.mdb" -delete


%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/mono/gac/Gnome.Keyring
%{_prefix}/lib/mono/gnome-keyring-sharp-1.0
%{_prefix}/lib/monodoc/sources/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/gnome-keyring-sharp-1.0.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-3m)
- full rebuild for mo7 release

* Sat Jun 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-2m)
- enable to build on x86_64

* Fri Jun 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-1m)
- initial build
